JDKのインストール

The Java Development Kit - also known as the JDK - is required in order to develop Sponge plugins and/or work on Sponge itself.

Download

JDK インストールする前に、コンピューターにある、古いバージョンの Java をアンインストールします。

注釈

Spongeに貢献される方やプラグイン作者の方はJDK 8を使って下さい。それ以前のバージョンのJavaはサポートされなくなりました。ただし、一部のMinecraftサーバーは未だにJava 8へ移行していないことに注意して下さい。SpongeとそのプラグインはJava 8環境にアップグレードしなければ動作しません(Java 7やJava 6では動作しないでしょう)。

Oracle は、 Java Development Kit をウェブサイトで無料で提供しています。JRE (Java Runtime Environment)ではなく、JDK (Java Development Kit) をインストールしていることを確認して下さい。この2つは異なるものです。

インストールの完了時に、コンピューターを再起動します。 JDK を使用する準備ができているはずです。